package com.flossom.common.core.mapper;


import com.flossom.common.core.domain.entity.WxUserMember;
import com.flossom.common.core.domain.req.WxUserMemberVm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户Mapper接口
 *
 * @author flossom
 * @date 2023-12-08
 */
public interface WxUserMemberMapper {
    /**
     * 查询用户
     *
     * @param id 用户主键
     * @return 用户
     */
    public WxUserMember selectWxUserMemberById(Long id);

    /**
     * 查询用户列表
     *
     * @param wxUserMember 用户
     * @return 用户集合
     */
    public List<WxUserMember> selectWxUserMemberList(WxUserMember wxUserMember);

    /**
     * 新增用户
     *
     * @param wxUserMember 用户
     * @return 结果
     */
    public int insertWxUserMember(WxUserMember wxUserMember);

    /**
     * 修改用户
     *
     * @param wxUserMember 用户
     * @return 结果
     */
    public int updateWxUserMember(WxUserMember wxUserMember);

    /**
     * 删除用户
     *
     * @param id 用户主键
     * @return 结果
     */
    public int deleteWxUserMemberById(Long id);

    /**
     * 批量删除用户
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxUserMemberByIds(Long[] ids);

    /**
     * 新增用户
     *
     * @param wxUserMember 用户
     * @return 结果
     */
    public void insertTouristUser(WxUserMember wxUserMember);

    WxUserMember selectWxUserMemberByOpenId(@Param("openid") String openid);

    void upgradeMember(@Param("phoneNumber") String phoneNumber, @Param("id") Integer id);

    List<WxUserMember> selectWxUserMemberListByVm(WxUserMemberVm wxUserMemberVm);
}
